Package org.eclipse.lemminx.extensions.xerces.xmlmodel

## Class XMLModelHandler

- java.lang.Object
- - org.eclipse.lemminx.extensions.xerces.xmlmodel.XMLModelHandler

All Implemented Interfaces:
  `org.apache.xerces.xni.parser.XMLComponent`, `org.apache.xerces.xni.parser.XMLDocumentFilter`, `org.apache.xerces.xni.parser.XMLDocumentSource`, `org.apache.xerces.xni.XMLDocumentHandler`

    public class XMLModelHandler
    extends Object
    implements org.apache.xerces.xni.parser.XMLComponent, org.apache.xerces.xni.parser.XMLDocumentFilter

Xerces component which associates a XML with several grammar (XML Schema, DTD, ..) by using <?xml-model ?> processing instruction.

            <?xml-model href="http://www.docbook.org/xml/5.0/xsd/docbook.xsd"?>
            <book xmlns="http://docbook.org/ns/docbook">
                    <title />
            </book>

### Constructor Summary

Constructors
`XMLModelHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `characters​(org.apache.xerces.xni.XMLString text, org.apache.xerces.xni.Augmentations augs)`
`void` `comment​(org.apache.xerces.xni.XMLString text, org.apache.xerces.xni.Augmentations augs)`
`void` `doctypeDecl​(String rootElement, String publicId, String systemId, org.apache.xerces.xni.Augmentations augs)`
`void` `emptyElement​(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attributes, org.apache.xerces.xni.Augmentations augs)`
`void` `endCDATA​(org.apache.xerces.xni.Augmentations augs)`
`void` `endDocument​(org.apache.xerces.xni.Augmentations augs)`
`void` `endElement​(org.apache.xerces.xni.QName element, org.apache.xerces.xni.Augmentations augs)`
`void` `endGeneralEntity​(String name, org.apache.xerces.xni.Augmentations augs)`
`org.apache.xerces.xni.XMLDocumentHandler` `getDocumentHandler()`
`org.apache.xerces.xni.parser.XMLDocumentSource` `getDocumentSource()`
`Boolean` `getFeatureDefault​(String featureId)`
`Object` `getPropertyDefault​(String propertyId)`
`String[]` `getRecognizedFeatures()`
`String[]` `getRecognizedProperties()`
`void` `ignorableWhitespace​(org.apache.xerces.xni.XMLString text, org.apache.xerces.xni.Augmentations augs)`
`void` `processingInstruction​(String target, org.apache.xerces.xni.XMLString data, org.apache.xerces.xni.Augmentations augs)`
`void` `reset​(org.apache.xerces.xni.parser.XMLComponentManager componentManager)`
`void` `setDocumentHandler​(org.apache.xerces.xni.XMLDocumentHandler handler)`
`void` `setDocumentSource​(org.apache.xerces.xni.parser.XMLDocumentSource source)`
`void` `setFeature​(String featureId, boolean state)`
`void` `setProperty​(String propertyId, Object value)`
`void` `startCDATA​(org.apache.xerces.xni.Augmentations augs)`
`void` `startDocument​(org.apache.xerces.xni.XMLLocator locator, String encoding, org.apache.xerces.xni.NamespaceContext namespaceContext, org.apache.xerces.xni.Augmentations augs)`
`void` `startElement​(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attributes, org.apache.xerces.xni.Augmentations augs)`
`void` `startGeneralEntity​(String name, org.apache.xerces.xni.XMLResourceIdentifier identifier, String encoding, org.apache.xerces.xni.Augmentations augs)`
`void` `textDecl​(String version, String encoding, org.apache.xerces.xni.Augmentations augs)`
`void` `xmlDecl​(String version, String encoding, String standalone, org.apache.xerces.xni.Augmentations augs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLModelHandler

    public XMLModelHandler()

### Method Detail

#### reset

    public void reset​(org.apache.xerces.xni.parser.XMLComponentManager componentManager)
               throws org.apache.xerces.xni.parser.XMLConfigurationException

Specified by:
  `reset` in interface `org.apache.xerces.xni.parser.XMLComponent`
Throws:
  `org.apache.xerces.xni.parser.XMLConfigurationException`

#### processingInstruction

    public void processingInstruction​(String target,
                                      org.apache.xerces.xni.XMLString data,
                                      org.apache.xerces.xni.Augmentations augs)
                               throws org.apache.xerces.xni.XNIException

Specified by:
  `processingInstruction` in interface `org.apache.xerces.xni.XMLDocumentHandler`
Throws:
  `org.apache.xerces.xni.XNIException`

#### startDocument

    public void startDocument​(org.apache.xerces.xni.XMLLocator locator,
                              String encoding,
                              org.apache.xerces.xni.NamespaceContext namespaceContext,
                              org.apache.xerces.xni.Augmentations augs)
                       throws org.apache.xerces.xni.XNIException

Specified by:
  `startDocument` in interface `org.apache.xerces.xni.XMLDocumentHandler`
Throws:
  `org.apache.xerces.xni.XNIException`

#### xmlDecl

    public void xmlDecl​(String version,
                        String encoding,
                        String standalone,
                        org.apache.xerces.xni.Augmentations augs)
                 throws org.apache.xerces.xni.XNIException

Specified by:
  `xmlDecl` in interface `org.apache.xerces.xni.XMLDocumentHandler`
Throws:
  `org.apache.xerces.xni.XNIException`

#### doctypeDecl

    public void doctypeDecl​(String rootElement,
                            String publicId,
                            String systemId,
                            org.apache.xerces.xni.Augmentations augs)
                     throws org.apache.xerces.xni.XNIException

Specified by:
  `doctypeDecl` in interface `org.apache.xerces.xni.XMLDocumentHandler`
Throws:
  `org.apache.xerces.xni.XNIException`

#### comment

    public void comment​(org.apache.xerces.xni.XMLString text,
                        org.apache.xerces.xni.Augmentations augs)
                 throws org.apache.xerces.xni.XNIException

Specified by:
  `comment` in interface `org.apache.xerces.xni.XMLDocumentHandler`
Throws:
  `org.apache.xerces.xni.XNIException`

#### startElement

    public void startElement​(org.apache.xerces.xni.QName element,
                             org.apache.xerces.xni.XMLAttributes attributes,
                             org.apache.xerces.xni.Augmentations augs)
                      throws org.apache.xerces.xni.XNIException

Specified by:
  `startElement` in interface `org.apache.xerces.xni.XMLDocumentHandler`
Throws:
  `org.apache.xerces.xni.XNIException`

#### emptyElement

    public void emptyElement​(org.apache.xerces.xni.QName element,
                             org.apache.xerces.xni.XMLAttributes attributes,
                             org.apache.xerces.xni.Augmentations augs)
                      throws org.apache.xerces.xni.XNIException

Specified by:
  `emptyElement` in interface `org.apache.xerces.xni.XMLDocumentHandler`
Throws:
  `org.apache.xerces.xni.XNIException`

#### startGeneralEntity

    public void startGeneralEntity​(String name,
                                   org.apache.xerces.xni.XMLResourceIdentifier identifier,
                                   String encoding,
                                   org.apache.xerces.xni.Augmentations augs)
                            throws org.apache.xerces.xni.XNIException

Specified by:
  `startGeneralEntity` in interface `org.apache.xerces.xni.XMLDocumentHandler`
Throws:
  `org.apache.xerces.xni.XNIException`

#### textDecl

    public void textDecl​(String version,
                         String encoding,
                         org.apache.xerces.xni.Augmentations augs)
                  throws org.apache.xerces.xni.XNIException

Specified by:
  `textDecl` in interface `org.apache.xerces.xni.XMLDocumentHandler`
Throws:
  `org.apache.xerces.xni.XNIException`

#### endGeneralEntity

    public void endGeneralEntity​(String name,
                                 org.apache.xerces.xni.Augmentations augs)
                          throws org.apache.xerces.xni.XNIException

Specified by:
  `endGeneralEntity` in interface `org.apache.xerces.xni.XMLDocumentHandler`
Throws:
  `org.apache.xerces.xni.XNIException`

#### characters

    public void characters​(org.apache.xerces.xni.XMLString text,
                           org.apache.xerces.xni.Augmentations augs)
                    throws org.apache.xerces.xni.XNIException

Specified by:
  `characters` in interface `org.apache.xerces.xni.XMLDocumentHandler`
Throws:
  `org.apache.xerces.xni.XNIException`

#### ignorableWhitespace

    public void ignorableWhitespace​(org.apache.xerces.xni.XMLString text,
                                    org.apache.xerces.xni.Augmentations augs)
                             throws org.apache.xerces.xni.XNIException

Specified by:
  `ignorableWhitespace` in interface `org.apache.xerces.xni.XMLDocumentHandler`
Throws:
  `org.apache.xerces.xni.XNIException`

#### endElement

    public void endElement​(org.apache.xerces.xni.QName element,
                           org.apache.xerces.xni.Augmentations augs)
                    throws org.apache.xerces.xni.XNIException

Specified by:
  `endElement` in interface `org.apache.xerces.xni.XMLDocumentHandler`
Throws:
  `org.apache.xerces.xni.XNIException`

#### startCDATA

    public void startCDATA​(org.apache.xerces.xni.Augmentations augs)
                    throws org.apache.xerces.xni.XNIException

Specified by:
  `startCDATA` in interface `org.apache.xerces.xni.XMLDocumentHandler`
Throws:
  `org.apache.xerces.xni.XNIException`

#### endCDATA

    public void endCDATA​(org.apache.xerces.xni.Augmentations augs)
                  throws org.apache.xerces.xni.XNIException

Specified by:
  `endCDATA` in interface `org.apache.xerces.xni.XMLDocumentHandler`
Throws:
  `org.apache.xerces.xni.XNIException`

#### endDocument

    public void endDocument​(org.apache.xerces.xni.Augmentations augs)
                     throws org.apache.xerces.xni.XNIException

Specified by:
  `endDocument` in interface `org.apache.xerces.xni.XMLDocumentHandler`
Throws:
  `org.apache.xerces.xni.XNIException`

#### setDocumentSource

    public void setDocumentSource​(org.apache.xerces.xni.parser.XMLDocumentSource source)

Specified by:
  `setDocumentSource` in interface `org.apache.xerces.xni.XMLDocumentHandler`

#### getDocumentSource

    public org.apache.xerces.xni.parser.XMLDocumentSource getDocumentSource()

Specified by:
  `getDocumentSource` in interface `org.apache.xerces.xni.XMLDocumentHandler`

#### setDocumentHandler

    public void setDocumentHandler​(org.apache.xerces.xni.XMLDocumentHandler handler)

Specified by:
  `setDocumentHandler` in interface `org.apache.xerces.xni.parser.XMLDocumentSource`

#### getDocumentHandler

    public org.apache.xerces.xni.XMLDocumentHandler getDocumentHandler()

Specified by:
  `getDocumentHandler` in interface `org.apache.xerces.xni.parser.XMLDocumentSource`

#### getRecognizedFeatures

    public String[] getRecognizedFeatures()

Specified by:
  `getRecognizedFeatures` in interface `org.apache.xerces.xni.parser.XMLComponent`

#### setFeature

    public void setFeature​(String featureId,
                           boolean state)
                    throws org.apache.xerces.xni.parser.XMLConfigurationException

Specified by:
  `setFeature` in interface `org.apache.xerces.xni.parser.XMLComponent`
Throws:
  `org.apache.xerces.xni.parser.XMLConfigurationException`

#### getRecognizedProperties

    public String[] getRecognizedProperties()

Specified by:
  `getRecognizedProperties` in interface `org.apache.xerces.xni.parser.XMLComponent`

#### setProperty

    public void setProperty​(String propertyId,
                            Object value)
                     throws org.apache.xerces.xni.parser.XMLConfigurationException

Specified by:
  `setProperty` in interface `org.apache.xerces.xni.parser.XMLComponent`
Throws:
  `org.apache.xerces.xni.parser.XMLConfigurationException`

#### getFeatureDefault

    public Boolean getFeatureDefault​(String featureId)

Specified by:
  `getFeatureDefault` in interface `org.apache.xerces.xni.parser.XMLComponent`

#### getPropertyDefault

    public Object getPropertyDefault​(String propertyId)

Specified by:
  `getPropertyDefault` in interface `org.apache.xerces.xni.parser.XMLComponent`